Index: DCWoRMS/branches/coolemall/src/schedframe/resources/units/ProcessingElements.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/units/ProcessingElements.java	(revision 738)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/units/ProcessingElements.java	(revision 1384)
@@ -17,6 +17,6 @@
 	public ProcessingElements(){
 		super();
-		resources =  new ArrayList<ComputingResource>(1);
-		provisioner = new ProcessingElementsResourceUnitProvisioner(ResourceUnitState.FREE, 0);
+		this.resources =  new ArrayList<ComputingResource>(1);
+		this.provisioner = new ProcessingElementsResourceUnitProvisioner(ResourceUnitState.FREE, 0);
 	}
 	
Index: DCWoRMS/branches/coolemall/src/schedframe/resources/units/ResourceUnitFactory.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/units/ResourceUnitFactory.java	(revision 781)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/units/ResourceUnitFactory.java	(revision 1384)
@@ -37,38 +37,4 @@
 			return new SimpleResourceUnit(ResourceUnitNameFactory.createResourceUnitName(unitName), resId, totalAmount, usedAmount); 
 	}
-	
-	public static ResourceUnit createUnit(String unitName, int totalAmount, int usedAmount){
-		if(unitName.equalsIgnoreCase(StandardResourceUnitName.CPU.getName()))
-			return new PEUnit(totalAmount, usedAmount, 1);
-		else if(unitName.equalsIgnoreCase(StandardResourceUnitName.MEMORY.getName()))
-			 return new Memory(totalAmount, usedAmount);
-		else if (unitName.equalsIgnoreCase(StandardResourceUnitName.CPUSPEED.getName()))
-			return new CpuSpeed(totalAmount, usedAmount); 
-		else
-			return new SimpleResourceUnit(ResourceUnitNameFactory.createResourceUnitName(unitName), totalAmount, usedAmount); 
-	}
-	
-	
-	public static ResourceUnit createUnit(ResourceUnitName unitName, int totalAmount, int usedAmount){
-		if(unitName.equals(StandardResourceUnitName.CPU))
-			return new PEUnit(totalAmount, usedAmount, 1);
-		else if(unitName.equals(StandardResourceUnitName.MEMORY))
-			 return new Memory(totalAmount, usedAmount);
-		else if (unitName.equals(StandardResourceUnitName.CPUSPEED))
-			return new CpuSpeed(totalAmount, usedAmount); 
-		else
-			return new SimpleResourceUnit(unitName, totalAmount, usedAmount); 
-	}
-	
-	/*public static ResourceUnit creteUnit(String resourceClass, int totalAmount, int usedAmount){
-		
-		switch(ResourceUnitClass.valueOf(resourceClass)){
-			case CPU: return new Processors(totalAmount, usedAmount, 1);
-			case MEMORY: return new Memory(totalAmount, usedAmount);
-			case STORAGE: return new Storage(totalAmount, usedAmount);
-		default:
-			
-			throw new IllegalArgumentException("Paramter " + resourceClass + " is not supported.");
-		}
-	}*/
+
 }
Index: DCWoRMS/branches/coolemall/src/schedframe/resources/units/PEUnit.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/units/PEUnit.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/units/PEUnit.java	(revision 1384)
@@ -1,5 +1,3 @@
 package schedframe.resources.units;
-
-
 
 
Index: DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/ui/NodePowerInterface.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/ui/NodePowerInterface.java	(revision 1321)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/ui/NodePowerInterface.java	(revision 1384)
@@ -14,10 +14,4 @@
 public class NodePowerInterface extends ComputingResourcePowerInterface{
 
-	public static long START_TIME = 600000;
-	public static long SHUTDOWN_TIME = 300000;
-	public static double START_COST = 4000;
-	public static double SHUTDOWN_COST = 2000;
-
-	
 	public NodePowerInterface(ComputingResource resource, PowerProfile pp){
 		super(resource, pp);