Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java	(revision 1396)
@@ -13,5 +13,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 555)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 1396)
@@ -17,6 +17,6 @@
 import schedframe.scheduling.plan.impl.ScheduledTask;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.SchedulingPluginConfiguration;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.plugin.local.LocalSchedulingPlugin;
 import schedframe.scheduling.queue.TaskQueue;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -30,5 +30,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -169,5 +169,5 @@
 					for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 						if(device.getType().equals(StandardResourceType.Fan)){
-							device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+							device.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 							break;
 						}
@@ -192,5 +192,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getType().equals(StandardResourceType.Fan)){
-						device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+						device.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 888)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 1396)
@@ -6,5 +6,5 @@
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationLowPower_NodePowMan_Plugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationLowPower_NodePowMan_Plugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationLowPower_NodePowMan_Plugin.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -30,5 +30,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -168,5 +168,5 @@
 					for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 						if(device.getType().equals(StandardResourceType.Fan)){
-							device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+							device.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 							break;
 						}
@@ -191,5 +191,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getType().equals(StandardResourceType.Fan)){
-						device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+						device.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ExamplePlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ExamplePlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ExamplePlugin.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_DFSPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_DFSPlugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_DFSPlugin.java	(revision 1396)
@@ -21,5 +21,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_LoadBalancing_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -54,5 +54,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private String chooseProvider(ClusterResourceManager resourceManager) {
 		List<Node> nodes = resourceManager.getNodes();
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1396)
@@ -21,5 +21,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -70,5 +70,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
 			ClusterResourceManager resourceManager, TaskInterface<?> task) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationHighPerf_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -72,5 +72,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
 			ClusterResourceManager resourceManager, TaskInterface<?> task) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationLowPower_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -72,5 +72,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Map<ResourceUnitName, ResourceUnit> chooseResourcesForExecution(
 			ClusterResourceManager resourceManager, TaskInterface<?> task) {
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java	(revision 1396)
@@ -19,5 +19,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -32,5 +32,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -245,5 +245,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -338,5 +338,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -427,5 +427,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -34,5 +34,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -364,5 +364,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -457,5 +457,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -546,5 +546,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1396)
@@ -23,5 +23,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java	(revision 1396)
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -34,5 +34,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -282,5 +282,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -375,5 +375,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -464,5 +464,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.Rack;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -32,5 +32,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -227,5 +227,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -263,5 +263,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -275,5 +275,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1396)
@@ -12,5 +12,5 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Node;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.devices.Device;
 import schedframe.resources.units.ProcessingElements;
@@ -23,5 +23,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -79,5 +79,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private Node chooseRandomProvider(ClusterResourceManager resourceManager) {
 		List<Node> nodes = resourceManager.getNodes();
@@ -184,5 +183,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getFullName().equals(Node_Fan_Mapping.getNode_fan().get(node.getFullName()))){
-						device.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("Off"));
+						device.getAirflowInterface().setAirflowState(new CustomAirflowStateName("Off"));
 						break;
 					}
@@ -192,5 +191,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getFullName().equals(Node_Fan_Mapping.getNode_fan().get(node.getFullName()))){
-						device.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("On"));
+						device.getAirflowInterface().setAirflowState(new CustomAirflowStateName("On"));
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Consolidation_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_LB_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -55,5 +55,4 @@
 	}
 
-	@SuppressWarnings("unchecked")
 	private String chooseProvider(ClusterResourceManager resourceManager) {
 		List<Node> nodes = resourceManager.getNodes();