Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOutSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOutSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOutSP.java	(revision 1399)
@@ -19,5 +19,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -29,5 +29,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -62,5 +62,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -170,5 +170,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOffSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOffSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOffSP.java	(revision 1399)
@@ -17,6 +17,6 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
 import schedframe.resources.units.ProcessingElements;
@@ -30,5 +30,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -63,5 +63,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -186,7 +186,7 @@
 		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 			} else {
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutOffSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutOffSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutOffSP.java	(revision 1399)
@@ -18,6 +18,6 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
 import schedframe.resources.units.ProcessingElements;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -64,5 +64,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -187,7 +187,7 @@
 		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInIdleSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInIdleSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInIdleSP.java	(revision 1399)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -59,5 +59,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -166,5 +166,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutIdleSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutIdleSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutIdleSP.java	(revision 1399)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -59,5 +59,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -166,5 +166,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java	(revision 1399)
@@ -18,5 +18,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -28,5 +28,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -62,5 +62,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -170,5 +170,5 @@
 				// node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else {
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java	(revision 1399)
@@ -18,5 +18,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -28,5 +28,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -61,5 +61,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -170,5 +170,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java	(revision 1399)
@@ -18,5 +18,5 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -28,5 +28,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -61,5 +61,5 @@
 					Node node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -169,5 +169,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 			}
 		}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java	(revision 1399)
@@ -14,6 +14,6 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.ResourceUnit;
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -58,5 +58,5 @@
 					Node node = chooseRandomProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+						node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -152,9 +152,9 @@
 		for(Node node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 			} else if(new JobRegistryImpl(node.getFullName()).getRunningTasks().size() > 1)
-				node.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("FAN_ON_TURBO"));
+				node.getAirflowInterface().setAirflowState(new CustomAirflowStateName("FAN_ON_TURBO"));
 			else 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+				node.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 		}
 	}
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java	(revision 1210)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java	(revision 1399)
@@ -5,5 +5,5 @@
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -39,7 +39,7 @@
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
+				airThroughput = resource.getAirflowInterface().getAirflow(StandardAirflowStateName.OFF);
 			else
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
+				airThroughput = resource.getAirflowInterface().getAirflow(resource.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
@@ -53,5 +53,5 @@
 				if(id - resId == 9 || id - resId == -9){
 					try {
-						airThroughput = airThroughput + compResource.getAirThroughputInterface().getAirFlow(compResource.getAirThroughputInterface().getAirThroughputState())/2;
+						airThroughput = airThroughput + compResource.getAirflowInterface().getAirflow(compResource.getAirflowInterface().getAirflowState())/2;
 					} catch (NoSuchFieldException e) {
 		
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java	(revision 1210)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java	(revision 1399)
@@ -3,5 +3,5 @@
 import schedframe.events.scheduling.EventReason;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -15,7 +15,7 @@
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				powerConsumption = powerConsumption + resource.getAirThroughputInterface().getPowerConsumption(StandardAirThroughputStateName.OFF);
+				powerConsumption = powerConsumption + resource.getAirflowInterface().getPowerConsumption(StandardAirflowStateName.OFF);
 			else
-				powerConsumption = powerConsumption + resource.getAirThroughputInterface().getPowerConsumption(resource.getAirThroughputInterface().getAirThroughputState());
+				powerConsumption = powerConsumption + resource.getAirflowInterface().getPowerConsumption(resource.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 		}
@@ -24,16 +24,16 @@
 	}
 
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
-		double airThroughput = 0;
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+		double airflow = 0;
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
+				airflow = resource.getAirflowInterface().getAirflow(StandardAirflowStateName.OFF);
 			else
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
+				airflow = resource.getAirflowInterface().getAirflow(resource.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-		return airThroughput;
+		return airflow;
 	}
 }
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1368)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1399)
@@ -15,5 +15,5 @@
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.units.PEUnit;
 import schedframe.resources.units.ProcessingElements;
@@ -57,7 +57,7 @@
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
+				airThroughput = resource.getAirflowInterface().getAirflow(StandardAirflowStateName.OFF);
 			else
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
+				airThroughput = resource.getAirflowInterface().getAirflow(resource.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
@@ -71,5 +71,5 @@
 				if(id - resId == 9 || id - resId == -9){
 					try {
-						airThroughput = airThroughput + compResource.getAirThroughputInterface().getAirFlow(compResource.getAirThroughputInterface().getAirThroughputState())/2;
+						airThroughput = airThroughput + compResource.getAirflowInterface().getAirflow(compResource.getAirflowInterface().getAirflowState())/2;
 					} catch (NoSuchFieldException e) {
 		