Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceOccupancy.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1371)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1417)
@@ -1,49 +1,52 @@
 utlization;compRes;1225666800000;1;
+utlization;compRes;1225672200000;1;
+utlization;compRes;1225675800000;1;
 utlization;compRes;1225677600000;1;
+utlization;compRes;1225681200000;0.667;
 utlization;compRes;1225684800000;1;
-utlization;compRes;1225688400000;1;
-utlization;compRes;1225695600000;0.667;
-utlization;compRes;1225699200000;0.5;
-utlization;compRes;1225702800000;0.833;
-utlization;compRes;1225706400000;0.667;
-utlization;compRes;1225720800000;0.667;
-utlization;compRes;1225731600000;0;
-mean: 0.8148148148148149
+utlization;compRes;1225688400000;0.833;
+utlization;compRes;1225689300000;0.833;
+utlization;compRes;1225692000000;0.167;
+utlization;compRes;1225695600000;0;
+mean: 0.8333333333333334
 utlization;compRes/Processor_1;1225666800000;1;
+utlization;compRes/Processor_1;1225675800000;1;
 utlization;compRes/Processor_1;1225684800000;1;
-utlization;compRes/Processor_1;1225702800000;1;
-utlization;compRes/Processor_1;1225720800000;1;
-utlization;compRes/Processor_1;1225731600000;0;
+utlization;compRes/Processor_1;1225689300000;1;
+utlization;compRes/Processor_1;1225692000000;0;
+utlization;compRes/Processor_1;1225695600000;0;
+mean: 0.875
+utlization;compRes/Processor_2;1225666800000;1;
+utlization;compRes/Processor_2;1225675800000;1;
+utlization;compRes/Processor_2;1225684800000;1;
+utlization;compRes/Processor_2;1225689300000;1;
+utlization;compRes/Processor_2;1225692000000;0;
+utlization;compRes/Processor_2;1225695600000;0;
+mean: 0.875
+utlization;compRes/Processor_3;1225666800000;1;
+utlization;compRes/Processor_3;1225672200000;1;
+utlization;compRes/Processor_3;1225681200000;0;
+utlization;compRes/Processor_3;1225684800000;1;
+utlization;compRes/Processor_3;1225689300000;1;
+utlization;compRes/Processor_3;1225692000000;0;
+utlization;compRes/Processor_3;1225695600000;0;
+mean: 0.75
+utlization;compRes/Processor_4;1225666800000;1;
+utlization;compRes/Processor_4;1225672200000;1;
+utlization;compRes/Processor_4;1225681200000;0;
+utlization;compRes/Processor_4;1225684800000;1;
+utlization;compRes/Processor_4;1225689300000;1;
+utlization;compRes/Processor_4;1225692000000;0;
+utlization;compRes/Processor_4;1225695600000;0;
+mean: 0.75
+utlization;compRes/Processor_5;1225666800000;1;
+utlization;compRes/Processor_5;1225672200000;1;
+utlization;compRes/Processor_5;1225677600000;1;
+utlization;compRes/Processor_5;1225688400000;0;
+utlization;compRes/Processor_5;1225695600000;0;
+mean: 0.75
+utlization;compRes/Processor_6;1225666800000;1;
+utlization;compRes/Processor_6;1225672200000;1;
+utlization;compRes/Processor_6;1225677600000;1;
+utlization;compRes/Processor_6;1225695600000;0;
 mean: 1.0
-utlization;compRes/Processor_2;1225666800000;1;
-utlization;compRes/Processor_2;1225684800000;1;
-utlization;compRes/Processor_2;1225702800000;1;
-utlization;compRes/Processor_2;1225720800000;1;
-utlization;compRes/Processor_2;1225731600000;0;
-mean: 1.0
-utlization;compRes/Processor_3;1225666800000;1;
-utlization;compRes/Processor_3;1225677600000;1;
-utlization;compRes/Processor_3;1225695600000;0;
-utlization;compRes/Processor_3;1225702800000;1;
-utlization;compRes/Processor_3;1225720800000;1;
-utlization;compRes/Processor_3;1225731600000;0;
-mean: 0.8888888888888888
-utlization;compRes/Processor_4;1225666800000;1;
-utlization;compRes/Processor_4;1225677600000;1;
-utlization;compRes/Processor_4;1225695600000;0;
-utlization;compRes/Processor_4;1225702800000;1;
-utlization;compRes/Processor_4;1225720800000;1;
-utlization;compRes/Processor_4;1225731600000;0;
-mean: 0.8888888888888888
-utlization;compRes/Processor_5;1225666800000;1;
-utlization;compRes/Processor_5;1225677600000;1;
-utlization;compRes/Processor_5;1225688400000;1;
-utlization;compRes/Processor_5;1225699200000;0;
-utlization;compRes/Processor_5;1225731600000;0;
-mean: 0.5
-utlization;compRes/Processor_6;1225666800000;1;
-utlization;compRes/Processor_6;1225677600000;1;
-utlization;compRes/Processor_6;1225688400000;1;
-utlization;compRes/Processor_6;1225706400000;0;
-utlization;compRes/Processor_6;1225731600000;0;
-mean: 0.6111111111111112
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Jobs.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Jobs.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Jobs.txt	(revision 1417)
@@ -1,11 +1,11 @@
 jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
-1;18,000;18,000;0;18,000;0;0;0;0;18,000;
-2;10,800;10,800;0;10,800;0;0;0;0;10,800;
-3;54,000;18,000;36,000;54,000;36,000;0;0;0;54,000;
-4;10,800;10,800;0;10,800;0;0;0;0;10,800;
-5;28,800;18,000;10,800;28,800;10,800;0;0;0;28,800;
-6;21,600;10,800;10,800;21,600;10,800;0;0;0;21,600;
-7;36,000;18,000;18,000;36,000;18,000;0;0;0;36,000;
-8;32,400;10,800;21,600;32,400;21,600;0;0;0;32,400;
-9;39,600;18,000;18,000;36,000;18,000;0;0;0;39,600;
-10;64,800;10,800;32,400;43,200;32,400;0;0;0;64,800;
+1;9,000;9,000;0;9,000;0;0;0;0;9,000;
+2;5,400;5,400;0;5,400;0;0;0;0;5,400;
+3;22,500;4,500;18,000;22,500;18,000;0;0;0;22,500;
+4;5,400;5,400;0;5,400;0;0;0;0;5,400;
+5;14,400;9,000;5,400;14,400;5,400;0;0;0;14,400;
+6;10,800;5,400;5,400;10,800;5,400;0;0;0;10,800;
+7;18,000;9,000;9,000;18,000;9,000;0;0;0;18,000;
+8;21,600;10,800;10,800;21,600;10,800;0;0;0;21,600;
+9;28,800;18,000;7,200;25,200;7,200;0;0;0;28,800;
+10;25,200;2,700;900;3,600;900;0;0;0;25,200;
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1259)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1417)
@@ -1,3 +1,3 @@
 powerConsumption;compRes;1225666800000;0;
-powerConsumption;compRes;1225731600000;0;
+powerConsumption;compRes;1225695600000;0;
 mean: 0.0 sum: 0.0
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1371)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1417)
@@ -1,31 +1,34 @@
 utlization;compRes;1225666800000;1;
-utlization;compRes;1225695600000;0.667;
-utlization;compRes;1225699200000;0.5;
-utlization;compRes;1225702800000;0.833;
-utlization;compRes;1225706400000;0.667;
-utlization;compRes;1225731600000;0;
-mean: 0.8148148148148148
+utlization;compRes;1225681200000;0.667;
+utlization;compRes;1225684800000;1;
+utlization;compRes;1225688400000;0.833;
+utlization;compRes;1225692000000;0.167;
+utlization;compRes;1225695600000;0;
+mean: 0.8333333333333334
 utlization;compRes/Processor_1;1225666800000;1;
-utlization;compRes/Processor_1;1225731600000;0;
+utlization;compRes/Processor_1;1225692000000;0;
+utlization;compRes/Processor_1;1225695600000;0;
+mean: 0.875
+utlization;compRes/Processor_2;1225666800000;1;
+utlization;compRes/Processor_2;1225692000000;0;
+utlization;compRes/Processor_2;1225695600000;0;
+mean: 0.875
+utlization;compRes/Processor_3;1225666800000;1;
+utlization;compRes/Processor_3;1225681200000;0;
+utlization;compRes/Processor_3;1225684800000;1;
+utlization;compRes/Processor_3;1225692000000;0;
+utlization;compRes/Processor_3;1225695600000;0;
+mean: 0.75
+utlization;compRes/Processor_4;1225666800000;1;
+utlization;compRes/Processor_4;1225681200000;0;
+utlization;compRes/Processor_4;1225684800000;1;
+utlization;compRes/Processor_4;1225692000000;0;
+utlization;compRes/Processor_4;1225695600000;0;
+mean: 0.75
+utlization;compRes/Processor_5;1225666800000;1;
+utlization;compRes/Processor_5;1225688400000;0;
+utlization;compRes/Processor_5;1225695600000;0;
+mean: 0.75
+utlization;compRes/Processor_6;1225666800000;1;
+utlization;compRes/Processor_6;1225695600000;0;
 mean: 1.0
-utlization;compRes/Processor_2;1225666800000;1;
-utlization;compRes/Processor_2;1225731600000;0;
-mean: 1.0
-utlization;compRes/Processor_3;1225666800000;1;
-utlization;compRes/Processor_3;1225695600000;0;
-utlization;compRes/Processor_3;1225702800000;1;
-utlization;compRes/Processor_3;1225731600000;0;
-mean: 0.8888888888888888
-utlization;compRes/Processor_4;1225666800000;1;
-utlization;compRes/Processor_4;1225695600000;0;
-utlization;compRes/Processor_4;1225702800000;1;
-utlization;compRes/Processor_4;1225731600000;0;
-mean: 0.8888888888888888
-utlization;compRes/Processor_5;1225666800000;1;
-utlization;compRes/Processor_5;1225699200000;0;
-utlization;compRes/Processor_5;1225731600000;0;
-mean: 0.5
-utlization;compRes/Processor_6;1225666800000;1;
-utlization;compRes/Processor_6;1225706400000;0;
-utlization;compRes/Processor_6;1225731600000;0;
-mean: 0.6111111111111112
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Simulation.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Simulation.txt	(revision 1417)
@@ -2,13 +2,13 @@
 Delayed tasks;0;0;0;0;0;0;1;
 Failed requests (tasks);0;0;0;0;0;0;1;
-Makespan;64,800;0;0;64,800;64,800;64,800;1;
-Resources queue length;1.667;0;0;1.667;1.667;1.667;1;
-Resources total load;0.815;0;0;0.815;0.815;0.815;1;
+Makespan;28,800;0;0;28,800;28,800;28,800;1;
+Resources queue length;1.688;0;0;1.688;1.688;1.688;1;
+Resources total load;0.833;0;0;0.833;0.833;0.833;1;
 Energy usage;0;0;0;0;0;0;1;
-Task completion time;31,680;16,870.139;284,601,600;10,800;64,800;316,800;10;
-Task execution time;14,400;3,600;12,960,000;10,800;18,000;144,000;10;
-Task start time;14,760;12,308.631;151,502,400;0;36,000;147,600;10;
-Task flow time;29,160;13,320;177,422,400;10,800;54,000;291,600;10;
-Task waiting time;14,760;12,308.631;151,502,400;0;36,000;147,600;10;
+Task completion time;16,110;7,932.774;62,928,900;5,400;28,800;161,100;10;
+Task execution time;7,920;4,140;17,139,600;2,700;18,000;79,200;10;
+Task start time;5,670;5,577.822;31,112,100;0;18,000;56,700;10;
+Task flow time;13,590;7,491.655;56,124,900;3,600;25,200;135,900;10;
+Task waiting time;5,670;5,577.822;31,112,100;0;18,000;56,700;10;
 Task lateness;0;0;0;0;0;0;10;
 Task tardiness;0;0;0;0;0;0;10;
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Tasks.txt	(revision 1259)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Tasks.txt	(revision 1417)
@@ -1,11 +1,11 @@
 JobID;TaskID;UserDN;SchedName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;HostNames;ProcessorName;Energy;AppName;
-1;1;-1;cluster;2;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;1;
-2;2;-1;cluster;2;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;0;
-3;3;-1;cluster;4;1225702800;1225720800;1225720800;1225666800;1225666800;54000;36000;18000;0;36000;54000;36000;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2, compRes/Processor_3, compRes/Processor_4];0;1;
-4;4;-1;cluster;2;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;0;
-5;5;-1;cluster;2;1225677600;1225695600;1225695600;1225666800;1225666800;28800;10800;18000;0;10800;28800;10800;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;1;
-6;6;-1;cluster;2;1225677600;1225688400;1225688400;1225666800;1225666800;21600;10800;10800;0;10800;21600;10800;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;0;
-7;7;-1;cluster;2;1225684800;1225702800;1225702800;1225666800;1225666800;36000;18000;18000;0;18000;36000;18000;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;1;
-8;8;-1;cluster;1;1225688400;1225699200;1225699200;1225666800;1225666800;32400;21600;10800;0;21600;32400;21600;0;0;0;0;0;[];[compRes/Processor_5];0;0;
-9;9;-1;cluster;1;1225688400;1225706400;1225706400;1225670400;1225670400;39600;21600;18000;3600;18000;36000;18000;0;0;0;0;0;[];[compRes/Processor_6];0;1;
-10;10;-1;cluster;4;1225720800;1225731600;1225731600;1225688400;1225688400;64800;54000;10800;21600;32400;43200;32400;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2, compRes/Processor_3, compRes/Processor_4];0;0;
+1;1;-1;cluster;2;1225666800;1225675800;1225675800;1225666800;1225666800;9000;0;9000;0;0;9000;0;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;1;
+2;2;-1;cluster;2;1225666800;1225672200;1225672200;1225666800;1225666800;5400;0;5400;0;0;5400;0;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;0;
+3;3;-1;cluster;4;1225684800;1225689300;1225689300;1225666800;1225666800;22500;18000;4500;0;18000;22500;18000;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2, compRes/Processor_3, compRes/Processor_4];0;1;
+4;4;-1;cluster;2;1225666800;1225672200;1225672200;1225666800;1225666800;5400;0;5400;0;0;5400;0;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;0;
+5;5;-1;cluster;2;1225672200;1225681200;1225681200;1225666800;1225666800;14400;5400;9000;0;5400;14400;5400;0;0;0;0;0;[];[compRes/Processor_3, compRes/Processor_4];0;1;
+6;6;-1;cluster;2;1225672200;1225677600;1225677600;1225666800;1225666800;10800;5400;5400;0;5400;10800;5400;0;0;0;0;0;[];[compRes/Processor_5, compRes/Processor_6];0;0;
+7;7;-1;cluster;2;1225675800;1225684800;1225684800;1225666800;1225666800;18000;9000;9000;0;9000;18000;9000;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2];0;1;
+8;8;-1;cluster;1;1225677600;1225688400;1225688400;1225666800;1225666800;21600;10800;10800;0;10800;21600;10800;0;0;0;0;0;[];[compRes/Processor_5];0;0;
+9;9;-1;cluster;1;1225677600;1225695600;1225695600;1225670400;1225670400;28800;10800;18000;3600;7200;25200;7200;0;0;0;0;0;[];[compRes/Processor_6];0;1;
+10;10;-1;cluster;4;1225689300;1225692000;1225692000;1225688400;1225688400;25200;22500;2700;21600;900;3600;900;0;0;0;0;0;[];[compRes/Processor_1, compRes/Processor_2, compRes/Processor_3, compRes/Processor_4];0;0;
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Metrics.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Metrics.txt	(revision 1371)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Metrics.txt	(revision 1417)
@@ -1,11 +1,0 @@
-
-
-
-
-
-
-
-
-
-
-